# List credit offers Lists credit offers for all customers of the authenticated partner. Supports filters by customer_id and status to locate specific offers. Useful for dashboards and reports that need a consolidated view. For offers of a specific customer, prefer GET /customers/{customer_id}/credit-offers. Endpoint: GET /credit-offers Version: 2026-03-01 Security: bearerAuth ## Query parameters: - `customer_id` (string) Filter by customer Example: "cust_550e8400e29b41d4a716446655440000" - `status` (string) Enum: "available", "accepted", "expired" - `starting_after` (string) Prefixed ID of the last item from the previous page. - `limit` (integer) Number of items to return. Min: 1, Max: 100. ## Response 200 fields (application/json): - `data` (array, required) - `data.id` (string, required) - `data.customer_id` (string, required) - `data.status` (string, required) Enum: "available", "accepted", "expired" - `data.approved_amount` (string, required) Decimal encoded as a string with exactly 2 decimal places (BRL). - `data.min_amount` (string, required) Minimum withdrawal amount Example: "1000.00" - `data.interest_rate` (number, required) Monthly interest rate percentage Example: 3.5 - `data.installments` (integer, required) Number of installments. When the product supports a range, this field is replaced by min_installments/max_installments Example: 12 - `data.due_date_rule` (string,null) Due date rule for installments. Pending Core implementation. - `data.valid_until` (string, required) Example: "2026-04-01T23:59:59Z" - `data.created_at` (string, required) - `data.updated_at` (string, required) - `has_more` (boolean, required) ## Response 400 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string) ## Response 401 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string) ## Response 404 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string) ## Response 429 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string) ## Response 500 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string)